﻿.aggregateWarming {
    display: flex;
    height: 80rem;
}

.aggregateWarming_container {
    display: grid;
    grid-template-rows: 35% 65%;
    width: 100%;
    padding: 1rem;
}

.aggregateWarming_head {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: #000000b8;
    border-radius: 2rem;
    margin-bottom: 1rem;
    margin-top: 0.5rem;
    overflow: hidden;
    padding: 1rem;
    min-height: 15rem;
}

.aggregateWarming_head_stock {
    display: grid;
    grid-template-rows: 30% 30% 30%;
    background: #000000b8;
    border-radius: 2rem;
    margin-bottom: 1rem;
    margin-top: 0.5rem;
    max-height: 17rem;
    margin: 1rem;
}

.aggregateWarming_stock_on {
    background: radial-gradient(circle, rgba(71,71,71,1) 70%, rgba(230,95,18,1) 100%);
    /*animation: background_blink 1.0 ease infinite;*/
}


@keyframes background_blink {
    0% {
        background: radial-gradient(circle, rgba(71,71,71,1) 60%, rgba(230,95,18,1) 100%);
    }

    25% {
        background: radial-gradient(circle, rgba(71,71,71,1) 80%, rgba(230,95,18,1) 100%);
    }

    50% {
        background: radial-gradient(circle, rgba(71,71,71,1) 100%, rgba(230,95,18,1) 100%);
    }

    75% {
        background: radial-gradient(circle, rgba(71,71,71,1) 80%, rgba(230,95,18,1) 100%);
    }

    100% {
        background: radial-gradient(circle, rgba(71,71,71,1) 60%, rgba(230,95,18,1) 100%);
    }
}

.aggregate_warming_head_name {
    text-align: center;
    margin-top: auto;
    margin-bottom: auto;
    text-transform: uppercase;
    color: #ffffff;
    font-size: 1.2em;
    grid-column-end: 4;
    grid-column-start: 1;
    font-weight: bold;
    height: 100%;
    filter: drop-shadow(2px 4px 6px black);
}

.aggregateWarming_head_btn_primary {
    display: grid;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: auto;
    margin-top: auto;
    color: white;
    height:30%;
    text-align:center;
}

.aggregateWarming_head_btn_secondary {
    display: grid;
    grid-template-columns: repeat(3,1fr)
}

.aggregateWarming_btn_automaticStart{
    background-color:green ;
}

.aggregateWarming_btn_automaticStop {
    background-color: red;
}

.aggregateWarming_firstRow {
    display: grid;

}
.aggregateWarming_center {
    display: grid;
    grid-auto-flow:row
}

